
for jobName in "JobA" "JobB" "JobC" "JobD" "JobE" "JobF"
do

#jobName="JobF"
numIterations="10000000"

######### SOYUZ #########
GNUPLOT_SCRIPT_FILE_NAME=$jobName"_Gnuplot_Script.dat"
NUM_RESERVED_REACTIONS_FILE="NBOS_RESERVED_REACTIONS/"$jobName"_RESERVED_REACTIONS.dat"
SUM_PROP_DATA_FROM_TE="Data/"$jobName"/"$jobName"_Post_SumProp_TE.dat"
#echo
#echo
#echo "--------------------------------------------------------------------------------"
#echo "-------------------------------- SOYUZ LAUNCH! ---------------------------------"
#echo "--------------------------------------------------------------------------------"
#echo "Making first pass through Soyuz..."
#./PreSource/SOYUZ FIRSTPASS $GNUPLOT_SCRIPT_FILE_NAME $SUM_PROP_DATA_FROM_TE
#echo "Opening up Gnuplot for Human Input"
#gnuplot $GNUPLOT_SCRIPT_FILE_NAME
#echo "Making second pass through Soyuz..."
#./PreSource/SOYUZ SECONDPASS $NUM_RESERVED_REACTIONS_FILE

######### ARESV #########
HEADER_TITLE="$jobName"_ARESV
echo $HEADER_TITLE
rxnFile="Data/"$jobName"/"$jobName"_Post_Sorted_TE.dat"
chemFile="Data/"$jobName"/"$jobName"_Post_Species_Interm_File.dat"
sumPropData="Data/"$jobName"/"$jobName"_Post_SumProp_TE.dat"

rm *MTDF.dat
echo
echo
echo "--------------------------------------------------------------------------------"
echo "-------------------------------- ARESV LAUNCH! ---------------------------------"
echo "--------------------------------------------------------------------------------"
./src/ARESV $rxnFile $chemFile $sumPropData $NUM_RESERVED_REACTIONS_FILE $HEADER_TITLE


BASIC_INPUT_FILE_NAME=$HEADER_TITLE"_BASIC_OUTPUT.dat"
echo $BASIC_INPUT_FILE_NAME
SPECIES_INPUT_FILE_NAME=$HEADER_TITLE"_SPECIES_OUTPUT.dat"
RXN_INPUT_FILE_NAME=$HEADER_TITLE"_RXN_OUTPUT.dat"


echo
echo
echo "--------------------------------------------------------------------------------"
echo "--------------------------------- NBOS LAUNCH! ---------------------------------"
echo "--------------------------------------------------------------------------------"

for seedVal in "1" "2" "3" "4" "5" "6" "7" "8" "9" "10"
do
	outputTimeFile="Results/"$jobName"/NBOS/"$jobName"_Post_TimeTrial_"$seedVal
	if [ -a ONE_MTDF.dat ]; then
		echo "OUTPUT FROM ARES MTDF = ONE"
		./src/NBOS_D_ONE $numIterations $BASIC_INPUT_FILE_NAME $SPECIES_INPUT_FILE_NAME $RXN_INPUT_FILE_NAME $seedVal $outputTimeFile
	elif [ -a TWO_MTDF.dat ]; then
		echo "OUTPUT FROM ARES MTDF = TWO"
		./src/NBOS_D_TWO $numIterations $BASIC_INPUT_FILE_NAME $SPECIES_INPUT_FILE_NAME $RXN_INPUT_FILE_NAME $seedVal $outputTimeFile
	elif [ -a THREE_MTDF.dat ]; then
		echo "OUTPUT FROM ARES MTDF = THREE"
		./src/NBOS_D_THREE $numIterations $BASIC_INPUT_FILE_NAME $SPECIES_INPUT_FILE_NAME $RXN_INPUT_FILE_NAME $seedVal $outputTimeFile
	elif [ -a FOUR_MTDF.dat ]; then
		echo "OUTPUT FROM ARES MTDF = FOUR"
		./src/NBOS_D_FOUR $numIterations $BASIC_INPUT_FILE_NAME $SPECIES_INPUT_FILE_NAME $RXN_INPUT_FILE_NAME $seedVal $outputTimeFile
	elif [ -a PLAIN_MTDF.dat ]; then
		echo "OUTPUT FROM ARES MTDF = PLAIN"
		./src/NBOS_D_PLAIN $numIterations $BASIC_INPUT_FILE_NAME $SPECIES_INPUT_FILE_NAME $RXN_INPUT_FILE_NAME $seedVal $outputTimeFile
	fi
done

done
